Skip to content

mail_email_update

Reschedule a scheduled email to a new ISO-8601 instant

Tool

mail_email_update

Reschedule a scheduled email to a new ISO-8601 instant

Reschedule a scheduled email to a new ISO-8601 instant

Behavior

HTTP
PATCH /mail/emails/:id

Arguments

Name
Type
Required
Description
id
string
•
Email id — as returned by mail_email_send
scheduled_at
string
•
New ISO-8601 instant to send at; must be in the future and within 30 days

Response

Field
Type
Always
Description
id
string
•
Id of the accepted email — pass it to mail_email_get to follow delivery

Try it

Reschedule a scheduled email to a new ISO-8601 instant.

When to use

Reschedule a scheduled email to a new ISO-8601 instant

Example

Ask your agent something like this:

Reschedule a scheduled email to a new ISO-8601 instant.

The agent will invoke mail_email_update with these arguments:

{
  "id": "<id>",
  "scheduled_at": "<scheduled_at>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select